#!/bin/bash
set -e

REPO="https://kubernetes.github.io/ingress-nginx"
VERSION="4.1.4"
CHART="ingress-nginx"

if [ ! -d charts ]; then
  # Fetch the helm chart so that we have a vendored copy
  helm fetch \
    --untar \
    --repo="$REPO" \
    --version="$VERSION" \
    --destination="charts/" \
    $CHART

  # Clean up the tarball that helm leaves
  # behind after unpacking the chart
  rm -r "charts/$CHART-$VERSION.tgz"
fi

# Our typescript code will be built and written to "./dist"
# so we'll copy our charts/ folder in there as well
mkdir -p ./dist || true
cp -r ./charts ./dist/
